<!-- <ion-header>
  <ion-navbar color="aconquija">
    <ion-title>{{'CROP IMAGE'}}</ion-title>
    <ion-buttons end>
      <button ion-button icon-only color="danger" (click)="clear()">
        <ion-icon name="close"></ion-icon>
      </button>
      <button ion-button icon-only color="secondary" (click)="saveCropper()">
        <ion-icon name="checkmark"></ion-icon>
      </button>
    </ion-buttons>
  </ion-navbar>
</ion-header> -->
 
<ion-content>
    <ion-item *ngIf="!inputDisabled">
      <ion-input [disabled]="inputDisabled" type="file" accept="image/*" (change)="fileChangeEvent($event)"></ion-input>
    </ion-item>
    <image-cropper #ImageCropperComponent [imageChangedEvent]="imageChangedEvent" [maintainAspectRatio]="true" [aspectRatio]="ratio"
      [resizeToWidth]="128" format="jpeg" (imageCropped)="imageCropped($event)" (imageLoaded)="imageLoaded()"
      [imageBase64]="myImage" imageQuality="100"
      (loadImageFailed)="loadImageFailed()"></image-cropper>
  
    <ion-buttons end>
      <ion-button ion-button icon-only color="danger" (click)="clear()">
        <ion-icon name="close"></ion-icon>
      </ion-button>
      <ion-button ion-button icon-only color="secondary" (click)="save()">
        <ion-icon name="checkmark"></ion-icon>
      </ion-button>
    </ion-buttons>
    
    <!-- <img [src]="croppedImage" /> -->
  
    <!-- <ion-button ion-button full (click)="captureImage()" *ngIf="!myImage">{{'Capture Image'}}</ion-button>
  
    <ion-row *ngIf="myImage">
      <ion-col col-4>
        <ion-button ion-button outline icon-left color="primary" (click)="zoom(true)">
          <ion-icon name="add"></ion-icon> Zoom
        </ion-button>
      </ion-col>
      <ion-col col-4>
        <ion-button ion-button outline icon-left color="primary" (click)="zoom(false)">
          <ion-icon name="remove"></ion-icon> Zoom
        </ion-button>
      </ion-col>
      <ion-col col-4>
        <ion-button ion-button outline icon-left (click)="rotate()">
          <ion-icon name="refresh"></ion-icon> 90 deg
        </ion-button>
      </ion-col>
   
      <ion-col col-2>
        <button ion-button clear (click)="scaleX()">
          Flip X
        </button>
      </ion-col>
      <ion-col col-2>
        <button ion-button clear (click)="scaleY()">
          Flip Y
        </button>
      </ion-col>
   
      <ion-col col-2>
        <button ion-button clear icon-only (click)="move(0, -10)">
          <ion-icon name="arrow-round-up"></ion-icon>
        </button>
      </ion-col>
      <ion-col col-2>
        <button ion-button clear icon-only (click)="move(0, 10)">
          <ion-icon name="arrow-round-down"></ion-icon>
        </button>
      </ion-col>
      <ion-col col-2>
        <button ion-button clear icon-only (click)="move(-10, 0)">
          <ion-icon name="arrow-round-back"></ion-icon>
        </button>
      </ion-col>
      <ion-col col-2>
        <button ion-button clear icon-only (click)="move(10, 0)">
          <ion-icon name="arrow-round-forward"></ion-icon>
        </button>
      </ion-col>
    </ion-row> -->
   
  <!--   <ion-card *ngIf="croppedImage">
      <ion-card-header>My Result</ion-card-header>
      <ion-card-content>
        <img [src]="croppedImage">
      </ion-card-content>
    </ion-card> -->
   
  </ion-content>